import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { BurnArgs } from '../types/BurnArgs';
export type BurnInstructionArgs = {
    burnArgs: BurnArgs;
};
export declare const BurnStruct: beet.FixableBeetArgsStruct<BurnInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type BurnInstructionAccounts = {
    metadata: web3.PublicKey;
    owner: web3.PublicKey;
    mint: web3.PublicKey;
    tokenAccount: web3.PublicKey;
    masterEditionAccount: web3.PublicKey;
    splTokenProgram: web3.PublicKey;
    collectionMetadata?: web3.PublicKey;
    authorizationRules?: web3.PublicKey;
    authorizationRulesProgram?: web3.PublicKey;
};
export declare const burnInstructionDiscriminator = 41;
export declare function createBurnInstruction(accounts: BurnInstructionAccounts, args: BurnInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
