import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { VerifyArgs } from '../types/VerifyArgs';
export type VerifyInstructionArgs = {
    verifyArgs: VerifyArgs;
};
export declare const VerifyStruct: beet.FixableBeetArgsStruct<VerifyInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type VerifyInstructionAccounts = {
    metadata: web3.PublicKey;
    collectionAuthority: web3.PublicKey;
    payer: web3.PublicKey;
    authorizationRules?: web3.PublicKey;
    authorizationRulesProgram?: web3.PublicKey;
};
export declare const verifyInstructionDiscriminator = 52;
export declare function createVerifyInstruction(accounts: VerifyInstructionAccounts, args: VerifyInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
